form {
    --form-field-font-size: 16px;
    --form-field-std-height: 60px;
    --form-field-line-height: 1.5;
    --form-field-line-height-px: calc(var(--form-field-font-size) * var(--form-field-line-height));
    --form-field-border-width: 1px;
    --form-field-padding-x: 20px;
    --form-field-padding-y: calc((var(--form-field-std-height) + 2 * var(--form-field-border-width) - var(--form-field-line-height-px)) / 2);
    /*--form-field-padding-y: calc((var(--form-field-std-height) - 2*var(--form-field-border-width) - var(--form-field-line-height-px))/2);*/
    /*width: 500px;*/
}

input[type=text], input[type=password], input[type=email],
input[type=number], input[type=tel], input[type=url],
input[type=date], input[type=time],
button, a.btn, input[type=button], input[type=submit], input[type=reset],
select, textarea, fieldset {
    width: 100%;
}

input[type=text], input[type=password], input[type=email],
input[type=number], input[type=tel], input[type=url],
input[type=date], input[type=time],
button, input[type=button], input[type=submit], input[type=reset],
select, textarea {
    box-sizing: border-box;
    border: var(--form-field-border-width) Solid #c9c9c9;
    border-radius: 5px;
    padding: var(--form-field-padding-y) var(--form-field-padding-x);
    -webkit-appearance: none;
    font-size: var(--form-field-font-size);
    line-height: var(--form-field-line-height) !important;
    font-family: var(--fntJ);
    margin: 5px 0;
}

input[type=text], input[type=password], input[type=email],
input[type=number], input[type=tel], input[type=url],
input[type=date], input[type=time],
select,
button, input[type=button], input[type=submit], input[type=reset],
.btn {
    height: var(--form-field-std-height);
}

input[type=text], input[type=password], input[type=email],
input[type=number], input[type=tel], input[type=url],
input[type=date], input[type=time],
select, textarea {
    color: black;
    background-color: transparent;
}

select[multiple] {
    /* fieldStdHeight - lineHeight + borderTopWidth */
    /*--padding: calc(( - var(--form-field-line-height-px)) / 2 + var(--form-field-border-width));*/
    /*padding-top: var(--padding); padding-bottom: var(--padding);*/
    /*height: calc(4 * 58px + 2 * var(--padding));*/
    height: calc(4 * var(--form-field-std-height));
    height: calc(4 * 58px + 1px);
    padding: 0;
    outline-color: red;
}

select[multiple] option {
    padding-inline: 0; /* сброс для оперы */
    min-block-size: calc(var(--form-field-std-height));
    padding: var(--form-field-padding-y) var(--form-field-padding-x);
}

label {
    font-family: var(--fntJ);
    font-weight: 300;
    color: #000000;
    /*margin-bottom: 5px;*/
    /*margin-right: 10px;*/
}

input[type=checkbox],
input[type=radio] {
    width: var(--form-field-line-height-px);
    height: var(--form-field-line-height-px);
    vertical-align: middle;
    transform: translateY(-2px);
}

textarea {
    padding-top: calc(var(--form-field-padding-y) - var(--form-field-border-width));
    padding-bottom: calc(var(--form-field-padding-y) - var(--form-field-border-width));
}

[type="color"] {
    vertical-align: middle;
}

form .btn {
    font-family: var(--fntJ);
}

/* **************************************************************************** */
.custom-checkbox input,
.custom-radio input {
    position: absolute;
    opacity: 0;
    width: 0;
    height: 0;
}

/* Стили для кастомизированных чекбоксов */
.custom-checkbox,
.custom-radio {
    display: inline-flex;
    align-items: center;
    cursor: pointer;
    margin-top: 5px;
    margin-bottom: 5px;
    position: relative;
    user-select: none;
}

.checkbox-icon,
.radio-icon {
    position: relative;
    left: 0;
    top: 0;
    width: 32px;
    height: 32px;
    background: white;
    border: 3px solid black;
    border-radius: 5px;
    transition: all 0.3s ease;
}

.radio-icon {
    border-radius: 50%;
}

.checkbox-icon:after,
.radio-icon:after {
    content: "";
    position: absolute;
    display: none;
    left: 9px;
    top: 4px;
    width: 9px;
    height: 16px;
    border: solid white;
    border-width: 0 3px 3px 0;
    transform: rotate(45deg);
}

.radio-icon:after {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 16px;
    height: 16px;
    background: black;
    border-width: 0;
    border-radius: 50%;
}


.custom-checkbox input:checked ~ .checkbox-icon {
    background: #000000;
    border-color: #000000;
}

.custom-radio input:checked ~ .radio-icon {
    border-color: #000000;
}

.custom-checkbox input:checked ~ .checkbox-icon:after,
.custom-radio input:checked ~ .radio-icon:after {
    display: block;
}

.custom-checkbox:hover input:not(:disabled) ~ .checkbox-icon,
.custom-radio:hover input:not(:disabled) ~ .radio-icon {
    border-color: #000000;
    box-shadow: 0 0 0 3px rgba(0, 0, 0, 0.2);
}


.custom-checkbox input:disabled ~ .checkbox-icon {
    background: #e0e0e0;
    border-color: #b0b0b0;
    cursor: not-allowed;
}

.custom-radio input:disabled ~ .radio-icon:after {
    background: #b0b0b0;
}

.custom-checkbox input:disabled ~ .checkbox-label,
.custom-radio input:disabled ~ .radio-label {
    color: #999;
    cursor: not-allowed;
}

.custom-radio input:disabled ~ .radio-icon {
    background: #e0e0e0;
    border-color: #b0b0b0;
    cursor: not-allowed;
}

/* Стили для текста */
.checkbox-label,
.radio-label {
    margin-left: 10px;
    padding-top: calc((32px - var(--form-field-line-height-px)) / 2);
    display: inline-block;
}


.numPlusMinus {
    --btn-width: 48px;
    --height: 48px;
    --border-color: black;
    width: 220px;
    display: flex; flex-direction: row;
    border: 3px Solid var(--border-color);
    color: black;
    border-radius: 30px;
    box-shadow: 0px 3px 10px 0px rgba(0,0,0,0.15);
    overflow: hidden;
    margin-top: 5px; margin-bottom: 5px; margin-left: auto; margin-right: auto;
}
.numPlusMinus input {
    width: calc(100% - 2*var(--btn-width));
    border: none;
    font-size: calc(0.7*var(--height));
    height: var(--height);
    line-height: var(--height);
    vertical-align: middle;
    text-align: center;
    padding: 0;
    outline: none;
    appearance: textfield;
    -webkit-appearance: textfield;
    -moz-appearance: textfield;
    box-shadow: 2px 2px 7px 0px rgba(0,0,0,0.25) inset;
    margin: 0;
    border-radius: 0;
}
.numPlusMinus:focus-within {
    box-shadow: 0px 0px 20px 0px rgba(150,0,0,0.35);
}
.numPlusMinus .icon-minus {
    display: none;
}
.numPlusMinus.loading input {
    background-image: url("/imgs/v2/layout/microloader.gif");
    background-repeat: no-repeat;
    background-position: 95% center;
}

.numPlusMinus .increase, .numPlusMinus .decrease {
    width: var(--btn-width); height: var(--height);
    display: flex; flex-direction: row; align-items: center; justify-content: center;
    cursor: pointer;
    user-select: none;
}
.numPlusMinus .increase svg, .numPlusMinus .decrease svg {
    width: 32px; height: 32px;
}
.numPlusMinus .decrease {
    padding-left: 4px;
    border-right: 1px Solid var(--border-color);
    fill: currentColor;
}
.numPlusMinus .increase {
    padding-right: 4px;
    border-left: 1px Solid var(--border-color);
    fill: currentColor;
}
.numPlusMinus .increase:hover, .numPlusMinus .decrease:hover {
    background-color: rgba(200,0,0,1);
}
.numPlusMinus .increase:hover svg, .numPlusMinus .decrease:hover svg {
    color: white;
}